Buy Philips Hair Straightener HP8303 - 60 Seconds Heat Up Time Online in Sri Lanka - SINGER
Singer App icon
Singer Sri Lanka
Singer (Sri Lanka) PLC
Free
DOWNLOAD
Philips Hair Straightener HP8303 - 60 Seconds Heat Up Time

PRODUCT CODE: PH-HP8303

0
0
0
0
0

Rs. 8,950

Reward Points Icon

Earn 45 RED points with this purchase More Info

Offer Icon

Pay in 3 X Rs. 2,983 with mint-pay koko

This product is out of stock in our website.
But, you can find a store near you to purchase offline.

Delivery - Standard 3 To 5 Working Days.

2 Years(s) Manufacturer Warranty

Find your nearest store to purchase offline.

Type Hair Straighteners
Temperature Settings Professional temperature long lasting style
Instant Heat Up Fast Heat-Up Time - Ready To Use In 60 Seconds.
Plate Material Ceramic Plates
Cable Cable length: 1.8 m
Voltage This straightener is ready to use anywhere in the world and is compatible with 110-240 voltage.
Dimensions 11 x 3.9 Centimeters
Weight 400 g

No Reviews Yet

Be the first to review this product!

  1. Proof of identity - NIC, driving licence or passport.
  2. Age - should be above 18 years.
  3. Proof of residence by submitting one of the below (last bill):
    • Electricity Bill
    • Water Bill
    • Land phone Bill
  4. Proof of income – Ability to provide one of the following documents:
    • Pay Slip
    • Business registration certificate
    • Profit and loss statement
    • Certified income expenses statement for self employed
    • Any other
  5. Two nonrelated guarantors with repayment ability.

  1. Original documents as specified above.
  2. Additional conditions as applicable.
  3. Any further requirements as per the bank's policy.
Product Enquiry
Only letters and spaces allowed
10-15 digits only

Similar Products

Philips Beard Trimmer BT1230 - Stainless Steel Blades

PH-NBT1230

0
0
0
0
0
Philips Beard Trimmer BT1230 - Stainless Stee...
Rs 6,950
Singer Hand Carry Hair Dryer BY503
sale

SIN-BY503

0
0
0
0
0
Singer Hand Carry Hair Dryer BY503
Rs 4,049
Rs 4,499 10% Off
Philips Beard Trimmer BT1235 - Stainless Steel Blades

PH-NBT1235

0
0
0
0
0
Philips Beard Trimmer BT1235 - Stainless Stee...
Rs 8,950
Singer Rechargeable Hair Clipper With Two Detachable Combs
sale

SIN-RFC-2012

0
0
0
0
0
Singer Rechargeable Hair Clipper With Two Det...
Rs 4,319
Rs 5,399 20% Off
Philips OneBlade Face Rechargeable Shaver QP1424

PH-QP1424

0
0
0
0
0
Philips OneBlade Face Rechargeable Shaver QP1...
Rs 13,950
Singer Hair Clipper - SIN-RFC-1819
sale

SIN-RFC-1819

0
0
0
0
0
Singer Hair Clipper - SIN-RFC-1819
Rs 5,399
Rs 5,999 10% Off
Philips Beard Trimmer BT3302 - Stainless Steel Blades
sale

PH-BT3302

0
0
0
0
0
Philips Beard Trimmer BT3302 - Stainless Stee...
Rs 12,555
Rs 13,950 10% Off
Singer Multi Functional Hair Trimmer - SIN-RFC-2058
sale

SIN-RFC-2058

0
0
0
0
0
Singer Multi Functional Hair Trimmer - SIN-RF...
Rs 7,649
Rs 8,499 10% Off

Frequently Bought Items

BLACK+DECKER Pressure Washer BEPW1300/1600 - 1300W, 110Bars

BD-BEPW1300-B5

0
0
0
0
0
BLACK+DECKER Pressure Washer BEPW1300/1600 -...
Rs 47,900
Panasonic Hair Dryer EH-ND37
sale

PN-EH-ND37-K605

0
0
0
0
0
Panasonic Hair Dryer EH-ND37
Rs 8,999
Rs 9,999 10% Off
Canon Ink Cartridge - PG-745 (Black)

CAN-C-745-B

0
0
0
0
0
Canon Ink Cartridge - PG-745 (Black)
Rs 10,799
BLACK+DECKER Digital AeroFry Air Fryer AF400-B5 - 4.0L

BD-AF400-B5

0
0
0
0
0
BLACK+DECKER Digital AeroFry Air Fryer AF400-...
Rs 59,900
Indesit Cooker Hood, Chimney Type, Air Flow 559m3h

IND-IHGC94FLMX

0
0
0
0
0
Indesit Cooker Hood, Chimney Type, Air Flow 5...
Rs 108,099
Islandwide Delivery
Islandwide Delivery
Fast, reliable delivery
After Sales Service
After Sales Service
Confidence on all your devices
Top-notch Support
Top-notch Support
Here whenever you need us
Trusted Warranty
Trusted Warranty
Warranty for all products